Subject: bug#6933: closed (Re: bug#6933: 24.0.50; fringe-mode value of `half' is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Sep 2010 21:13:02 +0000

Your bug report

#6933: 24.0.50; fringe-mode value of `half' is broken

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6933: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6933
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6933: 24.0.50; fringe-mode value of `half' is broken
From: Eli Zaretskii <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 17 Sep 2010 23:14:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Chong Yidong <[email-masked]>
> Cc: Drew Adams <[email-masked]>, [email-masked]
> Date: Sat, 04 Sep 2010 14:34:47 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This happens because fringe.el has this customization form for "half"
> > in the defcustom for fringe-mode:
> >
> > 		 (const :tag "Half width" (5 . 5))
> >
> > And the doc string for fringe-mode says this, among the rest:
> >
> >                                This command may round up the left and
> >     right width specifications to ensure that their sum is a multiple
> >     of the character width of a frame.
> >
> > So 5 is rounded up to 8, and the rest is history.
> >
> > I don't know why the values are 5 instead of 4.  The default fringe
> > width is 8 on all GUI displays, so half of that should have been 4,
> > not 5.  Maybe I'm missing some subtlety here.
> >
> > Can someone please check on X whether (fringe-mode '(4 . 4)) does TRT?
> > If it does, I think we should use 4 instead of 5 in the above
> > defcustom.
> 
> (4 . 4) seems to work fine for me on X.

I changed fringe.el to use (4 . 4).  So this bug should be fixed now
(revno 101464).

Subject: 24.0.50; fringe-mode value of `half' is broken
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Fri, 27 Aug 2010 17:16:26 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
 
M-x fringe-mode
Enter `half'.
 
The fringe values (both left and right) should each be 5, according to
the code and comments.  Instead, it is still 8, as shown by
(frame-parameters).  There is no difference in behavior between `half'
and `default'.  Dunno whether this is Windows-specific.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-08-16 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags
-Ic:/imagesupport/include'